Skip to main content
Operations Management/Access Control/Console Service Operations
PUTConsole Service OperationsSince 2.3SynchronousAuth Required

UpdateConsoleProxyAgent

UpdateConsoleProxyAgent

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Path Parameters

Request Inputs

Path Parameters

  • uuidStringRequired

    The resource UUID.

Body Fields

  • updateconsoleproxyagentObjectRequired

    updateconsoleproxyagent request body object.

    • consoleProxyOverriddenIpStringRequired

      The IP address of the new console proxy.

  • systemTagsList

    Optional. The system tags.

  • userTagsList

    Optional. The user tags.

Responses

200 OK

On success, this API returns the following response structure.

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventoryConsoleProxyAgentInventoryRequired

    See inventory.

    • uuidStringRequired

      The resource UUID.

    • descriptionStringRequired

      The detailed description of the resource.

    • managementIpStringRequired

      The IP address of the management node.

    • typeStringRequired

      The type.

    • statusStringRequired

      The status, including Connected and Disconnected.

    • stateStringRequired

      The state, including Enabled and Disabled.

    • createDateTimestampRequired

      The creation date.

    • lastOpDateTimestampRequired

      The last operation date.

Endpoint

PUT/zstack/v1/consoles/agents/{uuid}/actions

/zstack/v1/consoles/agents/{uuid}/actions

Operation ID

UpdateConsoleProxyAgent

Permalink

Request Example

curl -X PUT 'http://{host}/zstack/v1/consoles/agents/{uuid}/actions' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"updateconsoleproxyagent":{"consoleProxyOverriddenIp":"<consoleProxyOverriddenIp>"},"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'

Response Example

200
{ "inventory": {} }

Change History

This API has no change history records yet.

View all change history